3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php function gen() { for ($i = 0; $i < 10; $i++) { try { yield $i; } catch(Exception $e) { var_dump($e); } } } foreach (gen() as $i) { var_dump($i); throw new Exception($i); }
Output for 7.0.0 - 7.1.0
int(0) Fatal error: Uncaught Exception: 0 in /in/Q6Hp7:15 Stack trace: #0 {main} thrown in /in/Q6Hp7 on line 15
Process exited with code 255.
Output for 5.5.24 - 5.6.28
int(0) Fatal error: Uncaught exception 'Exception' with message '0' in /in/Q6Hp7:15 Stack trace: #0 {main} thrown in /in/Q6Hp7 on line 15
Process exited with code 255.
Output for 5.4.0 - 5.4.45
Parse error: syntax error, unexpected '$i' (T_VARIABLE) in /in/Q6Hp7 on line 6
Process exited with code 255.
Output for 5.1.0 - 5.3.29
Parse error: syntax error, unexpected T_VARIABLE in /in/Q6Hp7 on line 6
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Parse error: parse error, unexpected T_VARIABLE in /in/Q6Hp7 on line 6
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/Q6Hp7 on line 5
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/Q6Hp7 on line 5
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/Q6Hp7 on line 5
Process exited with code 255.